Loading...
Searching...
No Matches
DcmAssociationConfigurationFile Class Reference

helper class that encapsulated methods for filling a DcmAssociationConfiguration object from a config file More...

## Static Public Member Functions

static OFCondition | initialize (DcmAssociationConfiguration &cfg, const char *filename, OFBool scuMode)
| reads the given configuration file and feeds the information contained therein into the association configuration object.

## Static Private Member Functions

static OFCondition | parseTransferSyntaxes (DcmAssociationConfiguration &cfg, OFConfigFile &config)
| parses the transfer syntax lists in the config file.
static OFCondition | parsePresentationContexts (DcmAssociationConfiguration &cfg, OFConfigFile &config, OFBool scuMode)
| parses the presentation context lists in the config file.
static OFCondition | parseRoleSelectionItems (DcmAssociationConfiguration &cfg, OFConfigFile &config)
| parses the role selection lists in the config file.
static OFCondition | parseExtendedNegotiationItems (DcmAssociationConfiguration &cfg, OFConfigFile &config)
| parses the extended negotiation lists in the config file.
static OFCondition | parseProfiles (DcmAssociationConfiguration &cfg, OFConfigFile &config)
| parses the association configuration profile lists in the config file.

## Detailed Description

helper class that encapsulated methods for filling a DcmAssociationConfiguration object from a config file

## Member Function Documentation

## initialize()

OFCondition DcmAssociationConfigurationFile::initialize | ( | DcmAssociationConfiguration & | cfg,
|  | const char * | filename,
|  | OFBool | scuMode )

static

reads the given configuration file and feeds the information contained therein into the association configuration object.

Parameters

  cfg | association configuration object to initialize
  filename | name of config file
  scuMode | true if the configuration is intended for an SCU (i.e. the limit of 128 presentation contexts must be preserved), false otherwise

Returns
  EC_Normal if successful, an error code otherwise

## parseExtendedNegotiationItems()

OFCondition DcmAssociationConfigurationFile::parseExtendedNegotiationItems | ( | DcmAssociationConfiguration & | cfg,
|  | OFConfigFile & | config )

static private

parses the extended negotiation lists in the config file.

Parameters

  cfg | association configuration object to initialize
  config | filename name of config file

Returns
  EC_Normal if successful, an error code otherwise

## parsePresentationContexts()

OFCondition DcmAssociationConfigurationFile::parsePresentationContexts | ( | DcmAssociationConfiguration & | cfg,
|  | OFConfigFile & | config,
|  | OFBool | scuMode )

static private

parses the presentation context lists in the config file.

Parameters

  cfg | association configuration object to initialize
  config | filename name of config file
  scuMode | true if the configuration is intended for an SCU (i.e. the limit of 128 presentation contexts must be preserved), false otherwise

Returns
  EC_Normal if successful, an error code otherwise

## parseProfiles()

OFCondition DcmAssociationConfigurationFile::parseProfiles | ( | DcmAssociationConfiguration & | cfg,
|  | OFConfigFile & | config )

static private

parses the association configuration profile lists in the config file.

Parameters

  cfg | association configuration object to initialize
  config | filename name of config file

Returns
  EC_Normal if successful, an error code otherwise

## parseRoleSelectionItems()

OFCondition DcmAssociationConfigurationFile::parseRoleSelectionItems | ( | DcmAssociationConfiguration & | cfg,
|  | OFConfigFile & | config )

static private

parses the role selection lists in the config file.

Parameters

  cfg | association configuration object to initialize
  config | filename name of config file

Returns
  EC_Normal if successful, an error code otherwise

## parseTransferSyntaxes()

OFCondition DcmAssociationConfigurationFile::parseTransferSyntaxes | ( | DcmAssociationConfiguration & | cfg,
|  | OFConfigFile & | config )

static private

parses the transfer syntax lists in the config file.

Parameters

  cfg | association configuration object to initialize
  config | filename name of config file

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dcasccff.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0